Io Filter Manager Resolve Installation Errors On Host Task

Io Filter Manager Resolve Installation Errors On Host Task

Resolve the errors occurred during an installation/uninstallation/upgrade operation of an IO Filter on a host.

Depending on the nature of the installation failure, vCenter will take the appropriate actions to resolve it. For example, retry or resume installation.

Request
URI
POST
https://{api_host}/sdk/vim25/{release}/IoFilterManager/{moId}/ResolveInstallationErrorsOnHost_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case IoFilterManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.0.0.0 APIs.


Request Body
Required
"ResolveInstallationErrorsOnHostRequestType Object"
string
filterId
Required

ID of the filter.

host
Required

The host.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation. The task is set to success if all the errors related to the filter are resolved on the host. If the task fails, first check error to see the error. If the error indicates that issues persist on the host, use QueryIoFilterIssues to get the detailed errors on the host.

The dynamic privilege check will ensure that the appropriate privileges are acquired based on the remediation actions. For example, Host.Config.Maintenance and Host.Config.Patch privilege must required for upgrading a VIB.

Returns MoRefTask of type(s) application/json
"MoRefTask Object"

500

NotFound: if the filter specified by "filterId" is not installed on the cluster.

Returns NotFound of type(s) application/json
"NotFound Object"

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/sdk/vim25/{release}/IoFilterManager/{moId}/ResolveInstallationErrorsOnHost_Task